import QtQuick 1.1
import "components"

Rectangle {
    id: rectangle1
    width: 480
    height: 272
    gradient: Gradient {
        GradientStop {
            position: 0.16
            color: "#afacac"
        }

        GradientStop {
            position: 1
            color: "#000000"
        }
    }


    Switch {
        id: sw1
        x: 145
        y: 94
        width: 94
        height: 40
        textOffBold: true
        textOnBold: true
        textOffColor: "#e02f2f"
        textOnColor: "#2c38e0"
        textOffFontFamily: "DejaVu Sans"
        textOffFontSize: 16
        textOnFontSize: 16
        textOnFontFamily: "Georgia"
        anchors.verticalCenterOffset: -22
        anchors.horizontalCenterOffset: -48
        on: false
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        imageOn: "images/internal_button_dn.bmp"
        imageOff: "images/internal_button_up.bmp"

        onButtonClick: console.debug(on);
    }



    AnimatedSwitch{
        x: 10
        y: 35
        font.bold: false
        font.pixelSize: 22
        font.family: "DejaVu Sans"
        on: false

    }

    AnimatedSwitch{
        id: animatedswitch2
        width: 100;
        height: 27;
        on: true
        x: 10
        y:107
        imageOff: "images/off.png"
        imageOffWidth: 100
        imageOffHeight: 27
        sliderImage: "images/slider.png"
        imageOn: "images/on.png"
        imageOnWidth: 100
        imageOnHeight: 27
        sliderImageOnX: 0
        sliderImageY: 0
        sliderImageOffX: 62
        textOnX: 18
        textOffX: 54
        textColor: "Black"
    }

    VerticalRadioButtonList{
        x: 261
        y:29
        imageUnChecked: "images/radiobutton.png"
        imageChecked: "images/radiobutton_click.png"
        model: listData

        ListModel{
            id: listData
            ListElement{item_value: "10"; item_text: "list 10"; item_checked: true}
            ListElement{item_value: "20"; item_text: "list 20"; item_checked: false}
        }
    }


    VerticalCheckBoxList{
        x: 252
        y:121
        imageUnChecked: "images/checkbox.png"
        imageChecked: "images/checkbox_click.png"
        font.family: "DejaVu Sans"
        font.bold: false
        font.pixelSize: 16
        textColor: "#f9f6f6"
        model: ListModel{
                    ListElement{item_value: "10"; item_text: "check 10"; item_checked: true}
                    ListElement{item_value: "20"; item_text: "check 20"; item_checked: false}
               }
    }

    Image{
        source: "images/level_base.png"
        x: 368
        y: 47

        VerticalLevelIndicator {
            id: level_indicator___vertical1
            x: 7
            y: 11
            width: 28
            height: 161
            minValue: 0
            hintFontPixelSize: 14
            imageBase: "images/level.png"
            hintFontColor: "#000000"
            value: 0
            showHint: true
            imageOverlay: "images/level_overlay.png"
            maxValue: 18
            increment: 9
            startPosition: "bottom"
            hintFontFamily: "DejaVu Sans"
        }

    }

    HorizontalLevelIndicator {
        id: level_indicator___horizontal1
        x: 28
        y: 183
        width: 200
        height: 20
        valueScale: 1
        symbol: "%"
        minValue: 0
        hintFontPixelSize: 14
        imageBase: "images/tank.png"
        hintFontColor: "#000000"
        value: 0
        showHint: true
        imageOverlay: "images/tank_overlay.png"
        maxValue: 50
        increment: 4
        startPosition: "left"
        hintFontFamily: "DejaVu Sans"
    }

    HorizontalSlider {
        id: slider___horizontal1
        x: 36
        y: 212
        width: 184
        height: 48
        hintBorderColor: "#000000"
        showHint: true
        maximum: 50
        hintBorderWidth: 2
        hintFontFamily: "DejaVu Sans"
        hintBackgroundColor: "#ffffff"
        hintFontColor: "#000000"
        hintFontPixelSize: 16
        imageTrack: "images/slider_htrack.png"
        minimum: 0
        xMin: 0
        value: 0
        handleY: 2
        hintRadius: 9
        hintWidth: 40
        imageHandle: "images/slider_handle.png"
        allowDrag: true
        hintHeight: 40

        onValueChanged: level_indicator___horizontal1.value = slider___horizontal1.value
    }

    VerticalSlider {
        id: slider___vertical1
        x: 418
        y: 47
        width: 48
        height: 184
        hintBorderColor: "#000000"
        showHint: true
        maximum: 18
        hintBorderWidth: 2
        hintFontFamily: "DejaVu Sans"
        hintBackgroundColor: "#ffffff"
        hintFontColor: "#000000"
        hintFontPixelSize: 16
        imageTrack: "images/slider_track.bmp"
        minimum: 0
        value: 0
        handleX: 0
        hintRadius: 9
        yMin: 2
        hintWidth: 40
        imageHandle: "images/slider_handle.png"
        allowDrag: true
        hintHeight: 40

        onValueChanged: level_indicator___vertical1.value = value;
    }

    ImageButton {
        id: image_button1
        x: 162
        y: 29
        width: 60
        height: 40
        text: "Test"
        imageUp: "images/internal_button_up.bmp"
        font.pixelSize: 18
        textColor: "#000000"
        imageDown: "images/internal_button_dn.bmp"
        font.bold: false
        font.family: "DejaVu Sans"

        onButtonPress: console.debug("pressed");
    }


}

