import QtQuick 1.1

import "components"

Rectangle {
    id: rectangle1
    width: 480
    height: 272
    gradient: Gradient {
        GradientStop {
            position: 0.16
            color: "#afacac"
        }

        GradientStop {
            position: 1
            color: "#000000"
        }
    }


    Spinner {
        id: spinner
        x: 33
        y: 44
        width: 62
        height: 122
        viewCount: 4
        initialIndex: 1
        smooth: false
        textColor: "#181717"
        focus: true
        model: spinnerModel
        itemHeight: 28
        font.pixelSize: 16
        font.family: "DejaVu Sans"

        ListModel{
            id: spinnerModel
            ListElement{ text: 1; value: 10}
            ListElement{ text: 2; value: 20}
            ListElement{ text: 3; value: 30}
            ListElement{ text: 4; value: 40}
            ListElement{ text: 5; value: 50}
        }

        onValueChanged: console.debug(value);
     }

     Text { x: 11; y: 22; color: "white" ; text: "Current item index: " + spinner.currentIndex }

     AnimatedSwitch {
         id: animated_switch1
         x: 155
         y: 2
         textOffX: 75
         textOnX: 9
         sliderImageOffX: 78
         on: false
         textOn: "On 2"
         textOff: "Off 2"
     }

     VerticalSlider{
         id:slider1
         x: 187
         y: 69
         handleX: 0
         allowDrag: true
         value: 4
     }

     Knob {
         id: knob1
         x: 291
         y: -26
         initialIndex: 0
         mouseAreaHeight: 77
         mouseAreaWidth: 77
         add: false
         model: knobItems
     }

     ListModel{
         id: knobItems
         ListElement { index: 0; value: -2}
         ListElement { index: 1; value: -1}
         ListElement { index: 2; value: 1}
         ListElement { index: 3; value: 4}
     }

     HorizontalSlider {
         id: slider_horizontal1
         x: 274
         y: 205
         value: 5
         allowDrag: true
     }


}
