include(../qt-creator-defines.pri)

include($$QTCREATOR_SOURCES/qtcreator.pri)

greaterThan(QT_MAJOR_VERSION, 4) {
    HELPGENERATOR = $$targetPath($$[QT_INSTALL_BINS]/qhelpgenerator) -platform minimal
    QDOC_BIN = $$targetPath($$[QT_INSTALL_BINS]/qdoc)
    COMPAT =
} else {
    HELPGENERATOR = $$targetPath($$[QT_INSTALL_BINS]/qhelpgenerator)
    QDOC_BIN = $$targetPath($$[QT_INSTALL_BINS]/qdoc3)
    COMPAT = -qt4
}

VERSION_TAG = $$replace(QTCREATOR_VERSION, "[-.]", )

defineReplace(cmdEnv) {
    !equals(QMAKE_DIR_SEP, /): 1 ~= s,^(.*)$,(set \\1) &&,g
    return("$$1")
}

defineReplace(qdoc) {
    return("$$cmdEnv(SRCDIR=$$PWD OUTDIR=$$1 QTC_VERSION=$$QTCREATOR_VERSION QTC_VERSION_TAG=$$VERSION_TAG QT_INSTALL_DOCS=$$[QT_INSTALL_DOCS]) $$QDOC_BIN")
}

QHP_FILE = doc/html/componentshelp.qhp
QCH_FILE = $$IDE_DOC_PATH/componentshelp.qch

QDOCCONF = $$PWD/config/componentshelp$${COMPAT}.qdocconf

html_docs.commands = $$qdoc($$PWD/html) $$QDOCCONF
html_docs.files = $$QHP_FILE

qch_docs.commands = $$HELPGENERATOR -o \"$$QCH_FILE\" $$QHP_FILE
qch_docs.depends += html_docs

docs.depends = qch_docs

QMAKE_EXTRA_TARGETS +=  html_docs qch_docs docs

!macx {
    inst_qch_docs.files = $$QCH_FILE
    inst_qch_docs.path = $$QTC_PREFIX/share/doc/qtcreator
    inst_qch_docs.CONFIG += no_check_exist no_default_install
    INSTALLS += inst_qch_docs

    install_docs.depends = install_inst_qch_docs
    QMAKE_EXTRA_TARGETS += install_docs
}
